Bug 847578 - Warning messages failed to show up even if the "email log level" is set to "Warning"
Warning messages failed to show up even if the "email log level" is set to "W...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Maintainability (Show other bugs)
1.7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.0
Assigned To: Carlos Munoz
Ding-Yi Chen
:
Depends On:
Blocks: 837996
  Show dependency treegraph
 
Reported: 2012-08-12 23:38 EDT by Ding-Yi Chen
Modified: 2012-11-07 01:19 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.8.0-SNAPSHOT (20120820-0014)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-07 01:19:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2012-08-12 23:38:32 EDT
Description of problem:
Warning messages failed to show up even if the "email log level" is set to "Warning"

Version-Release number of selected component (if applicable):
1.8.0-SNAPSHOT (20120810-0025)
1.7.1 (20120730-2028)

How reproducible:
Always

Steps to Reproduce:
1. Sign in as Admin
2. Click Administration Menu-> Server Configuration
3. Check the "Enable log mail", fill in a correct email, and set the email log level to "Warning"
4. Start doing some action that will produce warning, like pushing a language which is not supported by server.
  
Actual results:
No email with warning log is received.

Expected results:
Email with warning log should be mailed to the specified email.
Comment 1 Carlos Munoz 2012-08-13 01:17:13 EDT
Added a new log event service evaluator to take into account the configured log level threshold. By default only ERROR level events are logged.

See
https://github.com/zanata/zanata/commit/5c91261d08f73a4d18095809770bef9a29c89d85
Comment 2 Ding-Yi Chen 2012-08-19 23:47:17 EDT
VERIFIED with Zanata version 1.8.0-SNAPSHOT (20120820-0014).
Comment 3 Sean Flanigan 2012-11-07 01:19:05 EST
Fix released in Zanata 2.0.

Note You need to log in before you can comment on or make changes to this bug.